Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId} \
--header 'Authorization: Bearer <token>'{
"name": "Sales Dashboard",
"modelId": "abc123de-f456-7890-abcd-ef1234567890",
"facetFilters": true,
"refreshInterval": 300,
"filterConfig": {
"date_range": {
"type": "date",
"defaultValue": "last_7_days"
}
},
"filterOrder": [
"date_range",
"region"
],
"queryPresentations": [
{
"name": "Revenue by Region",
"query": {
"fields": [
"order_items.total_revenue",
"orders.region"
],
"table": "order_items",
"limit": 1000,
"filters": {},
"sorts": [],
"modelId": "abc123de-f456-7890-abcd-ef1234567890"
},
"chartType": "bar",
"prefersChart": true,
"visualization": {
"visType": "basic",
"config": {
"xAxis": "orders.region",
"yAxis": "order_items.total_revenue"
},
"fields": [
"order_items.total_revenue",
"orders.region"
]
},
"id": "cd54494d-318f-4105-af1c-10af59e62b2e",
"queryIdentifierMapKey": "1",
"aiConfig": {},
"resultConfig": {}
}
]
}Retrieves dashboard document configuration in a format compatible with PUT for round-trip editing. This endpoint returns all fields needed to modify and update a dashboard document.
Note: This endpoint only supports dashboard documents. Workbook-only documents are not supported and will return a 400 Bad Request error.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId} \
--header 'Authorization: Bearer <token>'{
"name": "Sales Dashboard",
"modelId": "abc123de-f456-7890-abcd-ef1234567890",
"facetFilters": true,
"refreshInterval": 300,
"filterConfig": {
"date_range": {
"type": "date",
"defaultValue": "last_7_days"
}
},
"filterOrder": [
"date_range",
"region"
],
"queryPresentations": [
{
"name": "Revenue by Region",
"query": {
"fields": [
"order_items.total_revenue",
"orders.region"
],
"table": "order_items",
"limit": 1000,
"filters": {},
"sorts": [],
"modelId": "abc123de-f456-7890-abcd-ef1234567890"
},
"chartType": "bar",
"prefersChart": true,
"visualization": {
"visType": "basic",
"config": {
"xAxis": "orders.region",
"yAxis": "order_items.total_revenue"
},
"fields": [
"order_items.total_revenue",
"orders.region"
]
},
"id": "cd54494d-318f-4105-af1c-10af59e62b2e",
"queryIdentifierMapKey": "1",
"aiConfig": {},
"resultConfig": {}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The document identifier. To retrieve the ID, navigate to File > Document settings in the document and then click Settings. The Identifier field contains the document ID.
Document retrieved successfully
The name of the document
The ID of the model the document is built on
Whether facet filters are enabled for the document
The description of the document
Auto-refresh interval in seconds
Filter configuration for the document
Array of filter field names defining the order of filters
Array of query presentation objects representing tabs in the document's workbook
Show child attributes
Was this page helpful?